SDL_AudioDriver Struct Reference

`#include <SDL_sysaudio.h>`

Collaboration diagram for SDL_AudioDriver:
[legend]

## Data Fields

const char * | name
const char * | desc
SDL_AudioDriverImpl | impl
SDL_mutex * | detectionLock
SDL_bool | captureDevicesRemoved
SDL_bool | outputDevicesRemoved
int | outputDeviceCount
int | inputDeviceCount
SDL_AudioDeviceItem * | outputDevices
SDL_AudioDeviceItem * | inputDevices

## Detailed Description

Definition at line 110 of file SDL_sysaudio.h.

## Field Documentation

SDL_bool SDL_AudioDriver::captureDevicesRemoved

Definition at line 124 of file SDL_sysaudio.h.

Referenced by SDL_GetNumAudioDevices(), and SDL_RemoveAudioDevice().

const char* SDL_AudioDriver::desc

Definition at line 118 of file SDL_sysaudio.h.

Referenced by SDL_AudioInit().

SDL_mutex* SDL_AudioDriver::detectionLock

Definition at line 123 of file SDL_sysaudio.h.

Referenced by add_audio_device(), open_audio_device(), SDL_AudioInit(), SDL_AudioQuit(), SDL_GetAudioDeviceName(), SDL_GetNumAudioDevices(), and SDL_RemoveAudioDevice().

SDL_AudioDriverImpl SDL_AudioDriver::impl

Definition at line 120 of file SDL_sysaudio.h.

Referenced by close_audio_device(), free_device_list(), open_audio_device(), SDL_AudioDetectDevices_Default(), SDL_AudioInit(), SDL_AudioQuit(), SDL_ClearQueuedAudio(), SDL_GetAudioDeviceName(), SDL_GetQueuedAudioSize(), SDL_LockAudioDevice(), SDL_OpenedAudioDeviceDisconnected(), SDL_PauseAudioDevice(), SDL_QueueAudio(), SDL_RemoveAudioDevice(), SDL_RunAudio(), and SDL_UnlockAudioDevice().

int SDL_AudioDriver::inputDeviceCount

Definition at line 127 of file SDL_sysaudio.h.

Referenced by add_capture_device(), SDL_AudioQuit(), SDL_GetAudioDeviceName(), and SDL_GetNumAudioDevices().

SDL_AudioDeviceItem* SDL_AudioDriver::inputDevices

Definition at line 129 of file SDL_sysaudio.h.

Referenced by add_capture_device(), open_audio_device(), SDL_AudioQuit(), SDL_GetAudioDeviceName(), SDL_GetNumAudioDevices(), and SDL_RemoveAudioDevice().

const char* SDL_AudioDriver::name

Definition at line 114 of file SDL_sysaudio.h.

Referenced by SDL_AudioInit(), SDL_AudioQuit(), and SDL_GetCurrentAudioDriver().

int SDL_AudioDriver::outputDeviceCount

Definition at line 126 of file SDL_sysaudio.h.

Referenced by add_output_device(), SDL_AudioQuit(), SDL_GetAudioDeviceName(), and SDL_GetNumAudioDevices().

SDL_AudioDeviceItem* SDL_AudioDriver::outputDevices

Definition at line 128 of file SDL_sysaudio.h.

Referenced by add_output_device(), open_audio_device(), SDL_AudioQuit(), SDL_GetAudioDeviceName(), SDL_GetNumAudioDevices(), and SDL_RemoveAudioDevice().

SDL_bool SDL_AudioDriver::outputDevicesRemoved

Definition at line 125 of file SDL_sysaudio.h.

Referenced by SDL_GetNumAudioDevices(), and SDL_RemoveAudioDevice().

The documentation for this struct was generated from the following file:

- src/audio/SDL_sysaudio.h